# Manual d'usuari del &kde;

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

03-10-2008
0.01.01
kdeinit4
8

# `kdeinit4`

Inicia tots els altres programes de &kde; i els mòduls per a carregar de kdeinit (KLM).

## Sinopsis

    kdeinit4 --help  --no-fork --no-kded --suicide   +programes programes

## Descripció

kdeinit4 és un llançador de processos semblant a l'ordre `init` que s'utilitza per a l'arrencada de UNIX. Executa els programes de &kde; i els mòduls per a carregar de kdeinit (KLM) iniciant-los de forma més eficient.

L'ús de kdeinit4 per a llançar una aplicació &kde; fa que el temps d'inici d'una aplicació &kde; típica sigui dues vegades més ràpid i redueix el consum de memòria de manera substancial.

kdeinit4 està enllaçat contra totes les biblioteques que necessita una aplicació &kde; estàndard. Mitjançant aquesta tècnica, l'inici d'una aplicació és molt més ràpid per que només es necessita enllaçar a l'aplicació mateixa, mentre que en altre cas es necessita enllaçar tant a l'aplicació com a les biblioteques que usa.

## Desavantatges

El nom del procés d'una aplicació engegada mitjançant kdeinit4 és «kdeinit4». Aquest problema es pot corregir en cert grau canviant el nom de l'aplicació com es mostra amb `ps`. De totes maneres, aplicacions com `killall` tan sols veuran kdeinit4 com a nom de procés. Per a solucionar-ho utilitzeu `kdekillall` (de kdesdk/scripts) per a les aplicacions engegades mitjançant kdeinit4.

## Opcions

`--help`

  Mostra ajuda quant a les opcions

`--no-fork`

  No bifurcar, és a dir, no sortir fins que finalitzin tots els programes executats

`--no-kded`

  No inicia el kded

`--suicide`

  Finalitza quan no quedin aplicacions KDE en execució

`+programes`

  executa el programa amb les peticions de manipulació

`programes`

  executa els programes sense peticions de manipulació

## Ús

Una manera estàndard per executar aquest programa és simplement especificant l'ordre següent a l'indicatiu ``kdeinit4` programa` o ``kdeinit4` +programa`

## Fitxers

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Variables d'entorn

$`HOME`

  Especifica el directori inici de l'usuari actual

$`KDE_HOME_READONLY`

  Especifica si el directori inici de l'usuari actual és de només lectura

$`KDE_IS_PRELINKED`

  Si està establerta, indica a kdeinit4 que els programes &kde; estan pre-enllaçats.

  (El pre-enllaçat és un procés que us permet augmentar la velocitat del procés d'enllaçat dinàmic).

$`KDE_DISPLAY`

  Si està establerta, indica a kdeinit4 que s'està executant en un escriptori &kde;.

## Veure també

kded, kdekillall

## Errors

Probablement hi ha un munt d'errors. Useu bugs.kde.org per a informar-ne.